Directshow baseclasses in Visual C++ 2010



  • Hallo zusammen,

    ich verwende Visual C++ 2010 auf Windows 7. Dazu das aktuelle SDK. Beim Versuch das Projekt BaseClasses zu erstellen erhalte ich folgenden Fehler:

    Dateiname Status Fehler Warnungen
    BaseClasses.vcproj Nicht konvertiert
    Konvertierungsbericht - BaseClasses.vcproj:
    Converting project file 'C:\Program Files\Microsoft SDKs\Windows\v7.0\Samples\multimedia\directshow\baseclasses\BaseClasses.vcproj'.
    This application has been updated to include settings related to the User Account Control (UAC) feature of Windows Vista. By default, when run on Windows Vista with UAC enabled, this application is marked to run with the same privileges as the process that launched it. This marking also disables the application from running with virtualization. You can change UAC related settings from the Property Pages of the project.
    Failed to upgrade platform 'x64'. Please make sure you have it installed under '%vctargetspath%\platforms\x64'
    VCWebServiceProxyGeneratorTool is no longer supported. The tool has been removed from your project settings.
    Failed to upgrade 'Debug|x64'. Please make sure you have the corresponding platform installed under '%vctargetspath%\platforms\x64'
    The project configuration dimension name/value "(Platform, Win32)" was not found in the project manifest.
    Fehler beim Aktualisieren des Projekts.

    HAt jemand eine Lösung.

    Danke ...

    datatom


  • Mod

    Zu was jetzt?
    Das erste bzgl. UAC ist kein Fehler, das ist eine Info.
    Das zweite bzgl. x64 bedeutet, dass Du entweder eine VS-Version hast die kein x64 unterstützt (z.B. die Express Version). Oder dieser Teil bei der Installation weggelassen wurde.



  • Ich habe Visual C++ 2010 Express im Einsatz. Gibt es eine Lösung? Soll ich mir evt ein anderes SDK herunterladen? 😕 😕


  • Mod

    Express kann kein 64bit!



  • Was mach ich denn jetzt? 😕 😕

    Ich möchte das SDK-Beispiel AmCap kompilieren und dafür muss ich die BaseClasses erstellen.



  • Klar kann Express 64bit, du musst nur das Windows SDK installieren da die 64bit Toolchain nicht von Haus aus dabei ist.



  • Welches SDK genau? Jetzt habe ich die Version 7.0 drauf.



  • Ich habe das SDK 7.1 runter geladen und konnte somit die 64-Bit-Version von Baseclasses erstellen.


  • Mod

    Sorry für die Fehlinformation!



  • No problem 😉


Log in to reply